package es.ejie.frmk.infraestructura.seguridad;

import es.ejie.frmk.control.excepciones.Q70FrameworkException;

/**
 * Esta clase es la excepcion lanzada por el componente Gestor de Seguridad.
 * 
 * @version 1.0
 * Fecha: 18-dic-03
*/
public class Q70SeguridadException extends Q70FrameworkException {
	char level = ' ';
	String code = "";
	/**
	 * Constructor de <code>Q70SeguridadException</code>.
	 * 
	 * @param clase La clase que origino la excepcion
	 * @param metodo El metodo que origino la excepcion
	 * @param s Mensaje con el motivo de la excepcion
	 * @param t Excepcion original anidada, si existe. En caso contrario, llegara un null en el parametro.
	 */
		public Q70SeguridadException(
			String clase,
			String metodo,
			String s,
			Throwable t) {
			super(Q70Constantes.ID_COMPONENTE, clase, metodo, s, t);
		}
	/**
	 * Constructor de <code>Q70SeguridadException</code>.
	 * 
	 * @param level
	 * @param code
	 * @param clase
	 * @param metodo
	 * @param s
	 * @param t
	 */
		public Q70SeguridadException(
			char aLevel,
			String aCode,
			String clase,
			String metodo,
			String s,
			Throwable t) {
			super(Q70Constantes.ID_COMPONENTE, clase, metodo, s, t);
		code = aCode;
		level = aLevel;	
		}
	/**
	 * Devuelve el nivel del error (W,I,E)
	 * @return level
	*/
	public char getLevel(){
		return level;
	}
	/**
	 * Devuelve el codigo del error 
	 * @return code
	*/
	public String getCode(){
		return code;
	}	
}

